#version unofficial MegaPOV 0.7;

//Box Dimensions
#ifndef(Box_X_Dim)
#declare Box_X_Dim = 2;
#end
#ifndef(Box_Y_Dim)
#declare Box_Y_Dim = 2;
#end
#ifndef(Box_Z_Dim)
#declare Box_Z_Dim = 2;
#end

//Box Declares
#ifndef(Box_Color)
#declare Box_Color = Copper;
#end
#ifndef(Box_Translate)
#declare Box_Translate = <0,0,0>;
#end
#ifndef(Box_Texture)
#declare Box_Texture = 
texture {New_Penny}
#end
#ifndef(Box_Rotate_X)
#declare Box_Rotate_X=0;
#end
#ifndef(Box_Rotate_Y)
#declare Box_Rotate_Y=0;
#end
#ifndef(Box_Rotate_Z)
#declare Box_Rotate_Z=0;
#end
#ifndef(Box_Scale_X)
#declare Box_Scale_X=1;
#end
#ifndef(Box_Scale_Y)
#declare Box_Scale_Y=1;
#end
#ifndef(Box_Scale_Z)
#declare Box_Scale_Z=1;
#end
#ifndef(Box_Scale)
#declare Box_Scale=1;
#end

//Box Construction
#declare Box_Y_Strut = cylinder {<0,-Box_Y_Dim/2,0>,<0,Box_Y_Dim/2,0>,.015
pigment {Box_Color}
finish {Luminous}
no_shadow}
#declare Box_X_Strut = cylinder {<-Box_X_Dim/2,0,0>,<Box_X_Dim/2,0,0>,.015
pigment {Box_Color}
finish {Luminous}
no_shadow}
#declare Box_Z_Strut = cylinder {<0,0,-Box_Z_Dim/2>,<0,0,Box_Z_Dim/2>,.015
pigment {Box_Color}
finish {Luminous}
no_shadow}
#declare Wire_Box = union {
object {Box_Y_Strut translate <-Box_X_Dim/2,0,-Box_Z_Dim/2>}
object {Box_Y_Strut translate <-Box_X_Dim/2,0,Box_Z_Dim/2>}
object {Box_Y_Strut translate <Box_X_Dim/2,0,-Box_Z_Dim/2>}
object {Box_Y_Strut translate <Box_X_Dim/2,0,Box_Z_Dim/2>}
object {Box_X_Strut translate <0,-Box_Y_Dim/2,-Box_Z_Dim/2>}
object {Box_X_Strut translate <0,-Box_Y_Dim/2,Box_Z_Dim/2>}
object {Box_X_Strut translate <0,Box_Y_Dim/2,-Box_Z_Dim/2>}
object {Box_X_Strut translate <0,Box_Y_Dim/2,Box_Z_Dim/2>}
object {Box_Z_Strut translate <-Box_X_Dim/2,-Box_Y_Dim/2,0>}
object {Box_Z_Strut translate <-Box_X_Dim/2,Box_Y_Dim/2,0>}
object {Box_Z_Strut translate <Box_X_Dim/2,-Box_Y_Dim/2,0>}
object {Box_Z_Strut translate <Box_X_Dim/2,Box_Y_Dim/2,0>}}

//Render Box
#if(View=5)
box {<-Box_X_Dim/2,-Box_Y_Dim/2,-Box_Z_Dim/2>,<Box_X_Dim/2,Box_Y_Dim/2,Box_Z_Dim/2>
texture {Box_Texture}
scale <Box_Scale,Box_Scale,Box_Scale>
scale <Box_Scale_X,1,1>
scale <1,Box_Scale_Y,1>
scale <1,1,Box_Scale_Z>
rotate x*Box_Rotate_X
rotate y*Box_Rotate_Y
rotate z*Box_Rotate_Z
translate Box_Translate}
#else

//Wireframe Box
object {Wire_Box
scale <Box_Scale_X,1,1>
scale <1,Box_Scale_Y,1>
scale <1,1,Box_Scale_Z>
rotate x*Box_Rotate_X
rotate y*Box_Rotate_Y
rotate z*Box_Rotate_Z
translate Box_Translate}
#end



