#version unofficial MegaPOV 0.7;

//Sphere Dimensions
#ifndef(Sphere_Radius)
#declare Sphere_Radius = 1;
#end

//Sphere Declares
#ifndef(Sphere_Color)
#declare Sphere_Color = Red;
#end
#ifndef(Sphere_Translate)
#declare Sphere_Translate = <0,0,0>;
#end
#ifndef(Sphere_Texture)
#declare Sphere_Texture = 
texture {DMFWood6}
#end
#ifndef(Sphere_Rotate_X)
#declare Sphere_Rotate_X=0
#end
#ifndef(Sphere_Rotate_Y)
#declare Sphere_Rotate_Y=0
#end
#ifndef(Sphere_Rotate_Z)
#declare Sphere_Rotate_Z=0
#end
#ifndef(Sphere_Scale_X)
#declare Sphere_Scale_X=1;
#end
#ifndef(Sphere_Scale_Y)
#declare Sphere_Scale_Y=1;
#end
#ifndef(Sphere_Scale_Z)
#declare Sphere_Scale_Z=1;
#end
#ifndef(Sphere_Scale)
#declare Sphere_Scale = 1; 
#end

//Sphere Construction
#declare Sphere_Longitude = union {
#declare Count = 0;
#while (Count<8)
torus {Sphere_Radius,.015*Sphere_Radius
pigment {Sphere_Color}
finish {Luminous}
no_shadow
rotate x*-90
rotate y*Count*45}
#declare Count = Count+1;
#end}
#declare Sphere_Latitude = 
union {
torus {Sphere_Radius,.015*Sphere_Radius}
torus {.95*Sphere_Radius,.015*Sphere_Radius
translate y*.33*Sphere_Radius} 
torus {.95*Sphere_Radius,.015*Sphere_Radius
translate -y*.33*Sphere_Radius} 
torus {.75*Sphere_Radius,.015*Sphere_Radius
translate y*.66*Sphere_Radius} 
torus {.75*Sphere_Radius,.015*Sphere_Radius
translate -y*.66*Sphere_Radius} 
pigment {Sphere_Color}
finish {Luminous}
no_shadow }

//Render Sphere
#if(View=5)
sphere {0,Sphere_Radius
texture {Sphere_Texture}
scale <Sphere_Scale,Sphere_Scale,Sphere_Scale>
scale <Sphere_Scale_X,1,1>
scale <1,Sphere_Scale_Y,1>
scale <1,1,Sphere_Scale_Z>
rotate x*Sphere_Rotate_X
rotate y*Sphere_Rotate_Y
rotate z*Sphere_Rotate_Z
translate Sphere_Translate}

//Wireframe Sphere
#else
union {
object {Sphere_Longitude}
object {Sphere_Latitude}
scale <Sphere_Scale,Sphere_Scale,Sphere_Scale>
scale <Sphere_Scale_X,1,1>
scale <1,Sphere_Scale_Y,1>
scale <1,1,Sphere_Scale_Z>
rotate x*Sphere_Rotate_X
rotate y*Sphere_Rotate_Y
rotate z*Sphere_Rotate_Z
translate Sphere_Translate}
#end



